[Mongrel] Yet another "mongrel dying daily" case

Luis Lavena luislavena at gmail.com
Wed Jul 18 12:48:21 EDT 2007

On 7/18/07, Lei Wang <lei.wang at yale.edu> wrote:
> I am using RedHat Enterprise Linux 5, Apache 2.2, Rails 1.2.3, Ruby
> 1.8.6, and Mongrel 1.0.1.
> My DB is MySQL (which, per our institutional policy, must be on a
> central MySQL server). Maybe I need to install the MySQL gem and not use
> the MySQL driver that came with rails? Can I install the MySQL gem if my
> MySQL db is on a different server?

Ohh, you SHOULD.

The driver shipped with rails is a Pure Ruby adapter, that sometimes
"choke". The native mysql adapter (mysql gem) is the way to go. Also
10-15% performance boost ;-)

Hope that's help you.

Luis Lavena
Multimedia systems
Leaders are made, they are not born. They are made by hard effort,
which is the price which all of us must pay to achieve any goal that
is worthwhile.
Vince Lombardi

More information about the Mongrel-users mailing list